Page MenuHomePhabricator

Heat Coloring (1/3): Adding distinct structure for CFGDOTInfo
ClosedPublic

Authored by knaumov on Mar 25 2020, 7:19 PM.

Details

Summary

This patch is the first in the sequence of three patches related to the following diff (https://reviews.llvm.org/D73142). It introduces the system to distinctively store the information needed for the Control Flow Graph as well as the instrumentary needed for the follow-up changes: BlockFrequencyInfo and BranchProbabilityInfo.
It is the biggest review from the three as it also changes the code that is related to CFG from other files.

Diff Detail

Event Timeline

knaumov created this revision.Mar 25 2020, 7:19 PM
knaumov edited the summary of this revision. (Show Details)Mar 25 2020, 7:21 PM
davidxl added inline comments.Mar 25 2020, 8:30 PM
llvm/include/llvm/Analysis/CFGPrinter.h
56–99

nit: this class just wraps function pointer and function level information in it. Maybe name it DOTFuncInfo?

knaumov updated this revision to Diff 253602.Mar 30 2020, 8:49 AM

Renamed the structure:
CFGDOTInfo -> DOTFuncInfo

davidxl accepted this revision.Mar 30 2020, 9:22 AM

lgtm

This revision is now accepted and ready to land.Mar 30 2020, 9:22 AM

Excellent!
Can anyone with the commit access make a push of this patch?

Given that you have series of patches to be pushed, perhaps just get the write permission?

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptApr 6 2020, 10:52 AM